﻿using System;

namespace IsolationFrameworkDemo.Entity
{
    public class User 
    {
        public User() { }

        public User( Int32 userId, string userName, string password ) : this( userName, password)
        {
            UserID = userId;
        }

        public User( string userName, string password )
        {
            UserName = userName;
            Password = password;
        }

        public int UserID { get; set; }

        public string FirstName { get; set; }

        public string LastName { get; set; }

        public string UserName { get; set; }

        public string Password { get; set; }

        public bool Active { get; set; }

        public string FullName
        {
            get
            {
                return string.Format( "{0} {1}", FirstName, LastName );
            }
        }

    }
}
